> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List filesystem

> List filesystem



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /remotefs/v1/filesystems
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /remotefs/v1/filesystems:
    get:
      tags:
        - NetApp Volumes filesystems
      summary: List filesystem
      description: List filesystem
      parameters:
        - description: Limit
          name: limit
          in: query
          schema:
            type: integer
        - description: Offset
          name: offset
          in: query
          schema:
            type: integer
        - description: Order
          name: order
          in: query
          schema:
            type: string
        - description: Search
          name: search
          in: query
          schema:
            type: string
        - description: Sort by
          name: sort_by
          in: query
          schema:
            type: string
        - description: Data Plane ID
          name: data_plane_id
          in: query
          explode: true
          schema:
            items:
              type: string
            type: array
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/data-remotefs-service_server.PaginatedFilesystems
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
components:
  schemas:
    data-remotefs-service_server.PaginatedFilesystems:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/data-remotefs-service_remotefs.Filesystem'
        meta:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.Meta'
    data-remotefs-service_server.HTTPError:
      type: object
      properties:
        message:
          type: string
    data-remotefs-service_remotefs.Filesystem:
      type: object
      required:
        - createdAt
        - createdBy
        - dataPlaneId
        - dataPlaneName
        - id
        - isDataPlaneDefault
        - maxSnapshotsPerVolume
        - name
        - rootPvc
        - storageClass
        - updatedAt
        - updatedBy
      properties:
        createdAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.UserSummary'
        dataPlaneId:
          type: string
        dataPlaneName:
          type: string
        hostname:
          description: Data plane prefix (e.g. mydp1029), "" for local data plane
          type: string
        id:
          type: string
        isDataPlaneDefault:
          type: boolean
        maxSnapshotsPerVolume:
          type: integer
        name:
          type: string
        numVolumes:
          type: integer
        rootPvc:
          type: string
        storageClass:
          type: string
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.UserSummary'
    data-remotefs-service_remotefs.Meta:
      type: object
      properties:
        filters:
          type: array
          items:
            $ref: '#/components/schemas/data-remotefs-service_remotefs.Filter'
        order:
          type: string
        pagination:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.Pagination'
        search:
          type: string
        sortBy:
          type: string
    data-remotefs-service_remotefs.UserSummary:
      type: object
      required:
        - firstName
        - id
        - lastName
        - userName
      properties:
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        userName:
          type: string
    data-remotefs-service_remotefs.Filter:
      type: object
      properties:
        key:
          type: string
        values:
          items:
            type: string
          type: array
    data-remotefs-service_remotefs.Pagination:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        totalCount:
          type: integer

````

## Related topics

- [Update filesystem](/api-reference/netapp-volumes-filesystems/update-filesystem.md)
- [Create new filesystem](/api-reference/netapp-volumes-filesystems/create-new-filesystem.md)
- [Delete filesystem by ID](/api-reference/netapp-volumes-filesystems/delete-filesystem-by-id.md)
- [Get filesystem by ID](/api-reference/netapp-volumes-filesystems/get-filesystem-by-id.md)
